Bug 967559 - VNIC hot-plug fails after removing existing VNIC from running VM
VNIC hot-plug fails after removing existing VNIC from running VM
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.3.0
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: lpeer
Meni Yakove
network
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 09:09 EDT by Meni Yakove
Modified: 2016-02-10 14:52 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-29 11:12:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
libvirt, vdsm and XML logs (139.89 KB, application/zip)
2013-05-29 09:10 EDT, Meni Yakove
no flags Details

  None (edit)
Description Meni Yakove 2013-05-27 09:09:16 EDT
Description of problem:
Hot-plug of VNIC fails, on new VM i can hot-plug new VNIC but after I remove that VNIC and try to add another VNIC using hot-plug it fails.


Version-Release number of selected component (if applicable):
VDSM - vdsm-4.10.3-0.416.git5358ed2.el6.x86_64
libvirt - libvirt-0.10.2-18.el6_4.5.x86_64


Steps to Reproduce:
1. Create VM and run it.
2. hot-plug VNIC to the VM
3. un hot-plug the VNIC from the VM
4. Add another VNIC to the VM using hot-plug

Actual results:
Add VNIC fails

Expected results:
Add VNIC should succeed

Additional info:
Thread-1552::DEBUG::2013-05-27 13:34:04,961::libvirtvm::1559::vm.Vm::(hotplugNic) vmId=`17871f50-42e6-453e-ae43-8962125b5fb2`::Hotplug NIC xml: <interface type="bridge">
        <mac address="00:1a:4a:16:88:57"/>
        <model type="virtio"/>
        <source bridge="rhevm"/>
        <filterref filter="vdsm-no-mac-spoofing"/>
        <link state="up"/>
</interface>

Dummy-95::DEBUG::2013-05-27 13:34:05,185::storage_mailbox::727::Storage.Misc.excCmd::(_checkForMail) 'dd if=/rhev/data-center/644e5f7c-9cf3-4b77-877d-37fd655e8d0b/mastersd/dom_md/inbox iflag=
direct,fullblock count=1 bs=1024000' (cwd None)
Dummy-95::DEBUG::2013-05-27 13:34:05,327::storage_mailbox::727::Storage.Misc.excCmd::(_checkForMail) SUCCESS: <err> = '1+0 records in\n1+0 records out\n1024000 bytes (1.0 MB) copied, 0.049298
1 s, 20.8 MB/s\n'; <rc> = 0
Thread-1552::DEBUG::2013-05-27 13:34:05,362::libvirtconnection::136::vds::(wrapper) Unknown libvirterror: ecode: 1 edom: 0 level: 2 message: An error occurred, but the cause is unknown
Thread-1552::ERROR::2013-05-27 13:34:05,363::libvirtvm::1564::vm.Vm::(hotplugNic) vmId=`17871f50-42e6-453e-ae43-8962125b5fb2`::Hotplug failed
Traceback (most recent call last):
  File "/usr/share/vdsm/libvirtvm.py", line 1562, in hotplugNic
    self._dom.attachDevice(nicXml)
  File "/usr/share/vdsm/libvirtvm.py", line 546, in f
    ret = attr(*args, **kwargs)
  File "/usr/lib64/python2.6/site-packages/vdsm/libvirtconnection.py", line 112, in wrapper
    ret = f(*args, **kwargs)
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 399, in attachDevice
    if ret == -1: raise libvirtError ('virDomainAttachDevice() failed', dom=self)
libvirtError: An error occurred, but the cause is unknown
Comment 1 Dan Kenigsberg 2013-05-29 08:42:26 EDT
Which operating system is running in the guest? Did it properly act upon the hot-unplug command?

Could you attach the relevant libvirt logs? The cryptic message "libvirtError: An error occurred, but the cause is unknown" suggests that this may be a libvirt issue.

Laine, do you have smarter questions for Meni?
Comment 2 Meni Yakove 2013-05-29 09:10:56 EDT
Created attachment 754356 [details]
libvirt, vdsm and XML logs
Comment 3 Meni Yakove 2013-05-29 09:12:25 EDT
Guest running RHEL 6.4, for some reason the logs are gone so I'm attaching them again.
Comment 4 Dan Kenigsberg 2013-05-29 09:49:02 EDT
(In reply to Dan Kenigsberg from comment #1)
> Did the OS properly act upon the hot-unplug command?
Comment 5 Meni Yakove 2013-05-29 10:23:10 EDT
Maybe it was something in my setup, I installed everything from scratch (RHEVM and VDSM )and it wont reproduce anymore.
Comment 6 Dan Kenigsberg 2013-05-29 11:12:27 EDT
Please reopen when it reproduces!

Note You need to log in before you can comment on or make changes to this bug.